Bug 54288 - make systemd-coredump run as user so user has access to coredump
Summary: make systemd-coredump run as user so user has access to coredump
Status: RESOLVED FIXED
Alias: None
Product: systemd
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Hardware: Other All
: medium normal
Assignee: systemd-bugs
QA Contact: systemd-bugs
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-08-30 20:31 UTC by Marien Zwart
Modified: 2014-06-21 02:25 UTC (History)
3 users (show)

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Marien Zwart 2012-08-30 20:31:25 UTC
systemd-189 seems to be installing its coredump hook (/usr/lib/sysctl.d/coredump.conf, running systemd-coredump) by default, but this seems to eat all coredumps with no obvious way to get them back out into a form you can run tools like gdb on. If there is such a way: please point me at it and consider improving the documentation (I looked mainly in "man journalctl", after checking if systemd-coredump has its own manpage, which it somewhat understandably does not). If there is no such thing yet: please consider disabling the coredump hook until one exists, unless there are non-obvious advantages to having coredumps stored in the journal that outweigh the frustration of not finding coredumps anywhere until you remember the existence of the kernel.core_pattern sysctl and turn this integration off.

All this is with systemd-189 (various older versions have the same problem).
Comment 1 Marien Zwart 2012-10-29 17:55:18 UTC
systemd 195's systemd-coredumpctl improves matters considerably, but only for users who can read the journal (that is: root and those in the adm group, normally). It seems unfortunate if you cannot grant a user access to coredumps for their own processes without also allowing them to retrieve everyone else's coredumps. Unless there is a benefit/goal to this that I do not understand I still wish this defaulted to off, or perhaps only affected coredumps of processes managed by systemd (not processes spawned by a logged-in user).
Comment 2 Zbigniew Jedrzejewski-Szmek 2013-08-25 02:54:06 UTC
This has been on the TODO list for a long time:

* make the coredump collector tool move itself into the user's cgroup
  so that the coredump is properly written to the user's own journal
  file.
Comment 3 Hussam Al-Tayeb 2014-06-20 23:54:11 UTC
Works for me.
vlc crashed.
I did "/usr/bin/systemd-coredumpctl dump 12747 > coredump" as user. and it output the coredump file which KDE's dolphin identified as a program crash data file.

also running " /usr/bin/systemd-coredumpctl list" prints out the pids + path of the applications I crashed as my own regular user.
Comment 4 Zbigniew Jedrzejewski-Szmek 2014-06-21 02:25:09 UTC
As of http://cgit.freedesktop.org/systemd/systemd/commit/?id=edc3797f,
journal defaults to SplitMode=uid and coredumps should be readable by
the respective users.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.